/*-------------------------------
# SPDX-License-Identifier: ISC
#
# Copyright © 2021 Daniel Wolf <<nephatrine@gmail.com>>
#
# Permission to use, copy, modify, and/or distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
# REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
# INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
# LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
# OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
# PERFORMANCE OF THIS SOFTWARE.
# -----------------------------*/

#ifndef HELLOWORLD_HPP
#define HELLOWORLD_HPP

#ifndef HELLOWORLD_STATIC
#	ifndef HELLOWORLD_EXPORT
#		if defined( _WIN32 )
#			ifdef HELLOWORLD_EXPORTS
#				define HELLOWORLD_EXPORT __declspec( dllexport )
#			else
#				define HELLOWORLD_EXPORT __declspec( dllimport )
#			endif
#		elif defined( __GNUC__ ) || defined( __clang__ )
#			ifdef HELLOWORLD_EXPORTS
#				define HELLOWORLD_EXPORT __attribute__( ( visibility( "default" ) ) )
#			endif
#		endif
#	endif
#endif
#ifndef HELLOWORLD_EXPORT
#	define HELLOWORLD_EXPORT
#endif

HELLOWORLD_EXPORT int hello_world();

#endif // HELLOWORLD_HPP
